Issue 63929

Summary: inherited from ScMyBaseAction class objects deleted through non-virtual base pointer
Product: Calc Reporter: caolanm
Component: codeAssignee: frank
Status: CLOSED FIXED QA Contact: issues <issues.openoffice.org>
Severity: trivial    
Priority: P3 CC: issues
Version: OOo 2.0.2   
Target Milestone: ---   
Hardware: All   
OS: Linux   
Issue Type: PATCH Latest Confirmation on: ---
Developer Difficulty: ---
Issue Depends on:    
Issue Blocks: 64084    
Attachments:
Description Flags
patch to fix none

Description caolanm 2006-04-03 12:55:58 UTC
There are no virtual methods in ScMyBaseAction but a few other classed inherit
from it, and they are all destroyed from delete called on a ScMyBaseAction*, so
the inherited destucters are not called, only the base dtor.

Patch to do the intended thing attached.
Comment 1 caolanm 2006-04-03 12:56:19 UTC
Created attachment 35464 [details]
patch to fix
Comment 2 frank 2006-04-03 13:21:03 UTC
Hi Niklas,

please have a look at this one and retarget as needed.

Frank
Comment 3 niklas.nebel 2006-05-11 17:40:16 UTC
Committed to CWS "dr48" (for 2.0.4).
Comment 4 niklas.nebel 2006-06-06 09:23:29 UTC
back to QA for verification (note: no visible change)

re-open issue and reassign to fst@openoffice.org
Comment 5 niklas.nebel 2006-06-06 09:23:35 UTC
reassign to fst@openoffice.org
Comment 6 niklas.nebel 2006-06-06 09:23:40 UTC
reset resolution to FIXED
Comment 7 frank 2006-06-08 12:48:02 UTC
Als far as I can tell found fixed on Solaris, Windows and Linux in cws dr48
Comment 8 frank 2006-07-19 10:39:15 UTC
and integrated on master m176 as far as I can tell.